PUT
/data_syncer/destination/{Destination_Id}/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/destination/{Destination_Id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "syncer-destination-0220", "path_prefix": "/new"}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/destination/{Destination_Id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "syncer-destination-0220", "path_prefix": "/new", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/destination/{Destination_Id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "syncer-destination-0220", "path_prefix": "/new" }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Destination_Id
required
integer
Destination Id
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
Name of the syncer destination
string
Example
syncer-destination-0220path_prefix
Path prefix for the destination
string
Example
/newResponses
Section titled “Responses”Successfully retrieved syncer destination details
Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
destination_type
string
status
string
created_by
object
id
integer
name
string
email
string
username
string
dataset
object
id
integer
name
string
project_id
integer
description
string
storage_type
string
pvc
string
bucket
object
id
integer
bucket_name
string
bucket_url
string
endpoint
string
is_managed
boolean
eos_bucket_permission_id
integer
access_key
object
id
integer
access_key
string
secret_key
string
tag
string
is_managed
boolean
encryption_type
string
encryption_enable
boolean
status
string
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
knowledge_base
string
path_prefix
string
run
boolean
created_at
string format: date-time
updated_at
string format: date-time
errors
object
message
string
Example
{ "code": 200, "data": { "id": 140, "name": "syncer-destination-0220", "destination_type": "tir_dataset", "status": "active", "created_by": { "id": 4945, "name": "Rahul Tanwar", "email": "rahul.tanwar@e2enetworks.com", "username": "rahul.tanwar@e2enetworks.com" }, "dataset": { "id": 1637, "name": "finetuning-dataset-022013562626", "project_id": 4601, "description": null, "storage_type": "managed", "pvc": null, "bucket": { "id": 3162, "bucket_name": "d-gpu-bd21fad1-abcb-45fd-bc11-46142b7c7928", "bucket_url": "s3://d-gpu-bd21fad1-abcb-45fd-bc11-46142b7c7928/", "endpoint": "https://objectstore.e2enetworks.net", "is_managed": true, "eos_bucket_permission_id": 11604 }, "access_key": { "id": 3179, "access_key": "2092TCITD7JA6IICP299", "secret_key": null, "tag": "akgpuf8fd86dec56147a8aefb896fef535f03", "is_managed": true }, "encryption_type": null, "encryption_enable": false, "status": "OK", "created_by": { "id": 4945, "name": "Rahul Tanwar", "email": "rahul.tanwar@e2enetworks.com", "username": "rahul.tanwar@e2enetworks.com" }, "created_at": "2025-02-20T08:26:31.126205Z", "updated_at": "2025-02-20T08:26:31.126281Z" }, "knowledge_base": null, "path_prefix": "/new", "run": true, "created_at": "2025-02-20T09:16:13.799623Z", "updated_at": "2025-02-20T09:44:08.419033Z" }, "errors": {}, "message": "Success"}